<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$tourcode = $_SESSION['tourcode'];
$tourcond = "AND tourno = '$tourcode'";

$fsociety = $_SESSION["society_" . $dbname];
$success = false;
$maindb = 'tourquot';

// $fseries = $_SESSION["series_" . $dbname];
// $keycond = " and `series`='$fseries'";

$file = "tourquot.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `regnno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `haji` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `surname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `batchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `depdate` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `tourno` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `regnno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `haji` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `surname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `batchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `depdate` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `tourno` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `regnno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `regnno`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `haji`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `surname`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `batchno`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `depdate`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `tourno`";
}
 
$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y')as vouchdt,DATE_FORMAT(`depdate`, '%d-%m-%Y')as depdate  FROM $maindb  WHERE `vouchno` != '' $tourcond
                $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $gettour = mysqli_query($conn, "SELECT code,name FROM tour WHERE code = '$r[tourno]' ") or die(mysqli_error($conn)); 
    $fettour = mysqli_fetch_array($gettour);
    $tour = $fettour['name'];


    $rows[] = [ 'success' => true,
        'value'        => $ctr,
        'keyfld'       => $keyfld,
        'vouchno'      => $r['regnno'],
        'vouchdt'      => $r['vouchdt'],
        'haji'         => $r['haji'],
        'surname'      => $r['surname'],
        'batchno'      => $r['batchno'],
        'depdate'      => $r['depdate'],
        'tourno'       => $tour,
        'action'       => "$file?mode=edit&vouchno=$r[vouchno]"
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
